## firetray 0.3.0-svn-r122

=== debian/changelog ===
firetray (0.3.0-svn-r122-1) unstable; urgency=low

  * [705218c] Imported Upstream version 0.3.0-svn-r121
  * [d0b4d5d] use original icon, it's now under gpl 2
  * [3e8c355] typo (Closes: #625755)
  * [83f9f1a] Imported Upstream version 0.3.0-svn-r122 (Closes: #631153)
  * [83f9f1a] builds against new xulrunner-dev 5.0 (Closes: #631028) 
  * [0834975] update patches to next release and remove patch numbers
  * [5311e6f] use bash as build shell, need some buildins
  * [2dd47e2] use dpkg-parse-changelog to get the revision
  * [f71ac4a] increase policy standard to 3.9.2

 -- Sascha Girrulat <sascha@girrulat.de>  Mon, 25 Jul 2011 12:21:10 +0200

firetray (0.2.8-3) unstable; urgency=low

  * [1a21807] "Thunderbird" is a proper noun and must be capitalized.
    (CLoses: #617882)
  * [be689eb] add url of vcs
  * [787c070] remove # from vcs commits

 -- Sascha Girrulat <sascha@girrulat.de>  Wed, 04 May 2011 07:56:06 +0200

firetray (0.2.8-2) unstable; urgency=low

  * [17d87a0] rename source package
  * [4c4aa4b] remove template comments
  * [d439c62] remove depricated uploader

 -- Sascha Girrulat <sascha@girrulat.de>  Sat, 15 Jan 2011 09:28:50 +0100

xul-ext-firetray (0.2.8-1) unstable; urgency=low

  [ Wolfram Quester ]
  * Initial packaging

  [ Sascha Girrulat ]
  * [ee1e711] remove extra license file to avoid lintian warnings
  * Initial release (Closes: #599811)  
  * remove non-free icons
  * replace non-free (tray)icons with dfsg-clean ones 
  * [f20a221] deactivate trayminimize,

 -- Sascha Girrulat <sascha@girrulat.de>  Mon, 20 Dec 2010 17:43:50 +0100
