=== debian/control ===
Source: firetray
Section: web
Priority: extra
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Girrulat <sascha@girrulat.de>
Build-Depends: debhelper (>= 7.0.50~),
  mozilla-devscripts (>= 0.16~),
  libgtk2.0-dev,
  pkg-config,
  scons,
  xulrunner-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/firetray/
Vcs-Git: git://git.debian.org/pkg-mozext/firetray.git 
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/firetray.git;a=summary

Package: xul-ext-firetray
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: system tray extension for Thunderbird/Firefox alike apps
 A system tray extension for Thunderbird/Firefox an alike, allowing to set up a
 custom icon, hiding to tray instead of closing, display the number of unread
 messages in mailing applications and other features
