=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
%:
	dh $@ --with xul-ext

override_dh_auto_build:
	cp -f debian/iceowl.xpm components/pixmaps/iceowl.xpm
	bash ./build.sh

override_dh_auto_install:
	install-xpi firetray*.xpi

override_dh_auto_clean:
	rm -f firetray*.xpi
