## firetray 0.3.1

=== debian/changelog ===
firetray (0.3.1-4) unstable; urgency=low

  * [1ccfd06] DM-Upload-Allowed: yes
  * [b512275] bump supported version of iceweasel/icedove
  * rebuild for xulrunner-8.*

 -- Sascha Girrulat <sascha@girrulat.de>  Sat, 19 Nov 2011 10:26:40 +0100

firetray (0.3.1-3) unstable; urgency=low

  * Update increase-supported-versions.patch 
    for introducing compatibility with Firefox/Iceweasel 7.* (Closes: #644860)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sun, 09 Oct 2011 22:04:57 +0200

firetray (0.3.1-2) unstable; urgency=low

  * [eb0ae20] add increase-supported-versions.patch
  * rebuild for xulrunner 6 (Closes: 642693) 
  * [1edecd8] remove whitespace

 -- Sascha Girrulat <sascha@girrulat.de>  Mon, 26 Sep 2011 20:12:35 +0200

firetray (0.3.1-1) unstable; urgency=low

  * [69267b7] typo s/an/and/ (Closes: 635632)
  * [703f1d3] Imported Upstream version 0.3.1
  * [a0af81e] build official minor release

 -- Sascha Girrulat <sascha@girrulat.de>  Tue, 09 Aug 2011 12:40:37 +0200
