=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_build:
 	cp -f debian/iceowl.xpm components/pixmaps/iceowl.xpm
-	bash ./build.sh
+	bash ./build.sh --official-amo-release
 
 override_dh_auto_install:
 	install-xpi firetray*.xpi
