=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

ftp://ftp.mozilla.org/pub/mozilla.org/addons/4868/firetray-([\d\.]+)-.*\.xpi
