## firetray 0.3.6

=== debian/changelog ===
firetray (0.3.6-2) unstable; urgency=low

  [Sascha Girrulat]
  * [acbeba0] apply patch from Mònica Ramírez Arceda

  [Mònica Ramírez Arceda]
  * Add version number restriction on xulrunner-dev dependency (>= 10.0)
    (Closes: #653290)

 -- Sascha Girrulat <sascha@girrulat.de>  Wed, 22 Feb 2012 18:06:35 +0100

firetray (0.3.6-1) unstable; urgency=low

  * [3406b26] Revert "Imported Upstream version 0.3.4"
  * [6eaab2b] remove increase-supported-versions.patch 0.3.5 supports already
    ice* 10.* 
  * [9e67e3e] add use-py-build-files-with-python.patch
  * apply upstream patches to create upstream version 0.3.6 
    [ fsoltrash@gmail.com ]
    * [f6f44b6] added vimftw's SConscript changes to build with gecko sdk 9
    * [bee086f] added code to create new message
    * [23803ad] + Applied vimftw patch to build using gecko sdk 10 + Applied
      Hicham.Haouari's patch from Issue 212

 -- Sascha Girrulat <sascha@girrulat.de>  Wed, 08 Feb 2012 19:32:50 +0100
