=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   libgtk2.0-dev,
   pkg-config,
   scons,
-  xulrunner-dev
+  xulrunner-dev (>= 10.0)
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/firetray/
 Vcs-Git: git://git.debian.org/pkg-mozext/firetray.git
