## firetray 0.4.6

=== debian/changelog ===
firetray (0.4.6-1~deb7u2) wheezy; urgency=medium

  * Increase version compatibility with icedove (Closes: #770182)

 -- David Prévot <taffit@debian.org>  Wed, 19 Nov 2014 09:44:55 -0400

firetray (0.4.6-1~deb7u1) wheezy; urgency=low

  * Upload to stable

 -- David Prévot <taffit@debian.org>  Sat, 05 Oct 2013 07:26:44 -0400

firetray (0.4.6-1) unstable; urgency=low

  * New upstream version
    (Closes: #648890, #678575, #705487, #713526)
  * Adapt rules
  * Complete copyright, convert to format 1.0
  * Update patches
  * debian/control:
    - Add self to Uploaders
    - Remove now useless DMUA
    - Remove now useless build dependencies
    - Bump standards version to 3.9.4
    - Update Homepage
    - Update Vcs to canonical URI
    - Make the package Architecture: all
    - Add Breaks
    - Review Description (Closes: #637830)
  * Remove unused material
  * Update watch to new source repository

 -- David Prévot <taffit@debian.org>  Thu, 11 Jul 2013 00:45:50 -0400
