=== debian/control ===
Source: firetray
Section: web
Priority: extra
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Girrulat <sascha@girrulat.de>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 7.0.50~), mozilla-devscripts
Standards-Version: 3.9.4
Homepage: https://addons.mozilla.org/firefox/addon/firetray/
Vcs-Git: git://anonscm.debian.org/pkg-mozext/firetray.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/firetray.git

Package: xul-ext-firetray
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: system tray extension for Icedove and Iceweasel alike applications
 FireTray is a system tray extension for Icedove, Iceweasel, and alike,
 allowing to set up a custom icon, hiding to tray instead of closing, display
 the number of unread messages in mailing applications, and other features.
