## firetray 0.5.3~rc1+dfsg

=== debian/changelog ===
firetray (0.5.3~rc1+dfsg-1) unstable; urgency=medium

  [ foudfou ]
  * Add uk-UA localization (thx Володимир Савчук Volodymyr Savchuk!).
  * Linux: fix click on menuitems (bug introduced in 0cfe58e4).
  * Bump version to 0.5.3.

  [ David Prévot ]
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Fri, 14 Nov 2014 16:34:15 -0400

firetray (0.5.2~rc1+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Mon, 20 Oct 2014 13:34:44 -0400

firetray (0.5.2~rc1+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * Linux: fix return value according to return type definitions for some
    ctypes callbacks, thus avoiding "expected type int, got (void 0)".
  * Bump to version 0.5.2.
  * Avoid altering 'oncommand' and 'command' attributes (thx Kris Maglione).

  [ David Prévot ]
  * Add a get-orig-source target
  * Bump standards version to 3.9.6
  * Use repacksuffix feature of uscan

 -- David Prévot <taffit@debian.org>  Fri, 17 Oct 2014 09:02:58 -0400

firetray (0.5.1~rc1+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * Make menu icons "transparent" during initialization.

 -- David Prévot <taffit@debian.org>  Sun, 14 Sep 2014 21:34:42 -0400

firetray (0.5.0~beta1+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * update preferences-system.svg for DFSG-compatibility
  * bump version to v0.5.0b1
  * Acknowledge russian translation by VitalD.
  * Add croatian/hr-HR localization (thx gogo!).
  * Add pl-PL localization (thx AreYouLoco!).
  * Move Linux icons from "gnome" theme to correct default "hicolor" theme
    (Closes: #719545)

  [ Florian Haftmann ]
  * new de-DE localization

  [ David Prévot ]
  * Use Files-Excluded feature of uscan
  * Update and factorize copyright
  * Do not ship useless winnt files
  * Upload beta to experimental

 -- David Prévot <taffit@debian.org>  Sat, 19 Jul 2014 20:39:31 -0400

firetray (0.4.8-1) unstable; urgency=low

  * Imported Upstream version 0.4.8
  * Refresh patches (log level fixed upstream)
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Wed, 06 Nov 2013 17:11:28 -0400

firetray (0.4.7~rc1-1) unstable; urgency=low

  [ David Prévot ]
  * New upstream version
  * Do not display release notes after installation
  * Add upstream changelog
  * Update packaging documentation
  * Bump standards version to 3.9.5
  * Update Homepage
  * Fix Depends (s/shlibs/xpi/)
  * Fix GPL-2 path

  [ Sascha Girrulat ]
  * Update description in d/control (Closes: #719544)
  * Switch log level to info (Closes: #719438)
  * Naming of patches are now pq compatible

 -- David Prévot <taffit@debian.org>  Tue, 29 Oct 2013 12:57:58 -0400
