## firetray 0.5.3%7erc1%2bdfsg

=== src/Makefile ===
--- 
+++ 
@@ -53,8 +53,8 @@
 endif
 
 # The target location of the build and build files.
-git_rev = -$(shell git rev-parse --short HEAD)
-build_dir := ../build$(git_rev)$(build_debug)
+SCM-REVISION = $(shell git rev-parse --short HEAD)
+build_dir := ../build-$(SCM-REVISION)$(build_debug)
 
 
 # The location of the extension profile. (this extension is intended for Linux only)
@@ -69,9 +69,7 @@
 install_rdf := install.rdf
 
 # Version fetched from install.rdf
-VERSION := $(shell awk '/<em:version>/ {  version=$$1; \
-  version=gensub(/^.*<em:version>(.+)<\/em:version>.*$$/, "\\1", "g", version); \
-  print version }' $(install_rdf))
+VERSION := $(shell awk -F '[<>]' '/em:version/{print $$3}' $(install_rdf))
 
 # The target XPI files.
 xpi_file := $(extension_name)-$(VERSION).xpi
@@ -94,12 +92,13 @@
                $(wildcard $(chrome_source_root)/content/*.xul)					\
                $(wildcard $(chrome_source_root)/content/*.xml)					\
                $(wildcard $(chrome_source_root)/content/*.css)					\
-               $(wildcard $(chrome_source_root)/skin/*.css)					\
-               $(wildcard $(chrome_source_root)/skin/*.gif)					\
-               $(wildcard $(chrome_source_root)/skin/*.png)					\
-               $(wildcard $(chrome_source_root)/skin/*.svg)					\
-               $(wildcard $(chrome_source_root)/skin/linux/icons/hicolor/22x22/apps/*.png)	\
-               $(wildcard $(chrome_source_root)/skin/linux/icons/hicolor/32x32/apps/*.png)	\
+               $(wildcard $(chrome_source_root)/skin/icons/*.css)				\
+               $(wildcard $(chrome_source_root)/skin/icons/*.gif)				\
+               $(wildcard $(chrome_source_root)/skin/icons/*.png)				\
+               $(wildcard $(chrome_source_root)/skin/icons/*.svg)				\
+               $(wildcard $(chrome_source_root)/skin/icons/linux/hicolor/22x22/*/*.png)		\
+               $(wildcard $(chrome_source_root)/skin/icons/winnt/*.bmp)				\
+               $(wildcard $(chrome_source_root)/skin/icons/winnt/*.ico)				\
                $(wildcard $(chrome_source_root)/locale/*/*.dtd)					\
                $(wildcard $(chrome_source_root)/locale/*/*.properties)
 
@@ -111,7 +110,9 @@
 		$(wildcard $(modules_dir)/*.jsm)		\
 		$(wildcard $(modules_dir)/ctypes/*.jsm)		\
 		$(wildcard $(modules_dir)/ctypes/linux/*.jsm)	\
-		$(wildcard $(modules_dir)/linux/*.jsm)
+		$(wildcard $(modules_dir)/ctypes/winnt/*.jsm)	\
+		$(wildcard $(modules_dir)/linux/*.jsm)		\
+		$(wildcard $(modules_dir)/winnt/*.jsm)
 
 # The components (JSM) dir.
 components_dir := components
@@ -133,7 +134,7 @@
 build_includes := $(foreach f,$(xpi_includes),$(build_dir)/$(f))
 
 
-$(xpi_built): check_version $(build_dir) $(build_includes)
+$(xpi_built): check_version check_loglevel $(build_dir) $(build_includes)
 	@echo "Creating XPI file."
 	@cd $(build_dir); $(ZIP) $(xpi_file) $(xpi_includes)
 	@echo "Creating XPI file. Done!"
@@ -142,7 +143,7 @@
 .PHONY: build
 build: $(xpi_built)
 	@echo
-	@echo "Build finished successfully."
+	@echo "Build finished successfully in $(build_dir)."
 	@echo
 
 # This cleans all temporary files and directories created by 'make'.
@@ -154,6 +155,13 @@
 $(build_dir)/%: %
 	@mkdir -p $(dir $@)
 	@cp -f $< $@ # -d for symlinks
+
+$(build_dir)/$(license): ../$(license)
+	@cp -f $< $@
+
+# Inject SCM revision stamp. This may be useful in case we mess up with tags
+$(build_dir)/$(install_rdf): $(install_rdf)
+	@sed 's/\/\* SCM-REVISION:/\/* SCM-REVISION: $(SCM-REVISION) /' $< > $@
 
 # Debug calls are removed for performance.
 # NOTE: we could also use m4 for filtering source files...
@@ -185,11 +193,14 @@
 	@echo "Removing build dirs: $(build_dir)*"
 	@rm -rf $(build_dir)*
 
-# Version fetched from install.rdf
-const_file := modules/commons.js
-
-VERSION_HARD_CODED := $(shell awk -F\" '/const\W+FIRETRAY_VERSION/ \
-  { print $$2}' $(const_file))
+VERSION_HARD_CODED := $(shell awk -F\" '/const[ \t]+FIRETRAY_VERSION/ \
+  {print $$2}' modules/commons.js)
 check_version:
 	@echo "checking version consistency"
 	@[ "$(VERSION)" = "$(VERSION_HARD_CODED)" ]
+
+FIRETRAY_LOG_LEVEL := $(shell awk -F\" '/const[ \t]+FIRETRAY_LOG_LEVEL/ \
+  {print $$2}' modules/logging.jsm)
+check_loglevel:
+	@echo "checking loglevel"
+	@[ "Warn" = "$(FIRETRAY_LOG_LEVEL)" ]
