## firetray 0.6.1+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -92,7 +92,7 @@
                $(wildcard $(chrome_source_root)/content/*.xul)					\
                $(wildcard $(chrome_source_root)/content/*.xml)					\
                $(wildcard $(chrome_source_root)/content/*.css)					\
-               $(wildcard $(chrome_source_root)/skin/icons/*.css)				\
+               $(wildcard $(chrome_source_root)/skin/*.css)					\
                $(wildcard $(chrome_source_root)/skin/icons/*.gif)				\
                $(wildcard $(chrome_source_root)/skin/icons/*.png)				\
                $(wildcard $(chrome_source_root)/skin/icons/*.svg)				\
@@ -106,12 +106,13 @@
 modules_dir := modules
 
 # The sources for the module files.
-modules_sources := $(wildcard $(modules_dir)/*.js)		\
-		$(wildcard $(modules_dir)/*.jsm)		\
-		$(wildcard $(modules_dir)/ctypes/*.jsm)		\
-		$(wildcard $(modules_dir)/ctypes/linux/*.jsm)	\
-		$(wildcard $(modules_dir)/ctypes/winnt/*.jsm)	\
-		$(wildcard $(modules_dir)/linux/*.jsm)		\
+modules_sources := $(wildcard $(modules_dir)/*.js)			\
+		$(wildcard $(modules_dir)/*.jsm)			\
+		$(wildcard $(modules_dir)/ctypes/*.jsm)			\
+		$(wildcard $(modules_dir)/ctypes/linux/*.jsm)		\
+		$(wildcard $(modules_dir)/ctypes/linux/gtk?/*.jsm)	\
+		$(wildcard $(modules_dir)/ctypes/winnt/*.jsm)		\
+		$(wildcard $(modules_dir)/linux/*.jsm)			\
 		$(wildcard $(modules_dir)/winnt/*.jsm)
 
 # The components (JSM) dir.
