=== debian/changelog ===
firetray (0.6.1+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump supported version of Thunderbird to 62.9999, to work with future
    point releases until that.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 13 Oct 2018 23:49:59 +0200

firetray (0.6.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix for Thunderbird 60 (by Fritjof Toelstede, Gabriele, and me).
    Closes: #906852, #895451.
  * Firefox and Iceweasel are no longer supported.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 17 Sep 2018 00:58:46 +0200

firetray (0.6.1+dfsg-1) unstable; urgency=medium

  [ foudfou ]
  * Discontinuation announce.
  * Fix logging for FF46.
  * Bump version to 0.6.1.

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Wed, 04 May 2016 16:37:55 -0400

firetray (0.6.0+dfsg-2) unstable; urgency=medium

  * Upload last upstream version to unstable
  * Drop Iceweasel and Icedove from description
  * Update Standards-Version to 3.9.7
  * Document #787803 fix in previous changelog entry
  * Rebuild with recent mozilla-devscripts to be ready for Firefox

 -- David Prévot <taffit@debian.org>  Sat, 26 Mar 2016 16:17:39 -0400

firetray (0.6.0+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * Libappindicator: first step to replace GTK3 version with GTK2.
  * Add gtk3 support. (Closes: #787803)
  * Bump version to 0.6.0.

  [ David Prévot ]
  * Update copyright

 -- David Prévot <taffit@debian.org>  Fri, 23 Oct 2015 17:20:12 -0400

firetray (0.5.7~1+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * Fix GtkIcons import. (#175)
  * Disable Chat if libappindicator is used.
  * Bump version to 0.5.7 (AMO doesn't handle release candidates).

 -- David Prévot <taffit@debian.org>  Thu, 09 Apr 2015 21:45:50 -0400

firetray (0.5.5~rc1+dfsg-1) experimental; urgency=medium

  [ foudfou ]
  * Fix additional uk-UA locale declaration.
  * Update it locale (thx Underpass!).
  * Add zh-CN locale (thx YFdyh000!)
  * Update hr-HR locale (thx gogo!)
  * FireTray is multiprocessCompatible (e10s).
  * Fix extraction of window title (especially for ukrainian l10n).
  * Fix right click could show/hide all windows on linux.
  * Bump version to 0.5.5.

  [ Scott Furry ]
  * FreeBSD build

  [ lyubomirv ]
  * Added Bulgarian [bg] localisation.

  [ David Prévot ]
  * Ship upstream README

 -- David Prévot <taffit@debian.org>  Mon, 06 Apr 2015 11:34:20 -0400

firetray (0.5.4+dfsg-1) experimental; urgency=medium

  * Upload to experimental to respect the freeze

  [ foudfou ]
  * Add 'with_appindicator' hidden pref.
  * Bump version to 0.5.4.

  [ David Prévot ]
  * Recommend libappindicator3-1 for StatusNotifierItem

 -- David Prévot <taffit@debian.org>  Wed, 31 Dec 2014 12:25:09 -0400
