=== debian/control ===
Source: firetray
Section: web
Priority: extra
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Sascha Girrulat <sascha@girrulat.de>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 7.0.50~), mozilla-devscripts
Standards-Version: 3.9.8
Homepage: http://foudfou.github.io/FireTray/#release-notes
Vcs-Git: git://anonscm.debian.org/pkg-mozext/firetray.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/firetray.git

Package: xul-ext-firetray
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: libappindicator3-1, ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: system tray extension for Thunderbird
 FireTray is a system tray extension for Thunderbird.  It supports setting
 up a custom icon, hiding to the tray instead of closing, displaying the
 number of unread mails, and more.
 .
 FireFox and versions of Thunderbird prior to 57 are no longer supported.
