=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with xul-ext --sourcedirectory=src

override_dh_auto_build:
	$(MAKE) -C src build
	dh_auto_build

override_dh_auto_install:
	install-xpi build-*/firetray*.xpi
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream-changelog

get-orig-source:
	uscan --force --verbose --rename
