## firetray 0.6.5

=== src/Makefile ===
--- 
+++ 
@@ -93,12 +93,12 @@
                $(wildcard $(chrome_source_root)/content/*.xml)					\
                $(wildcard $(chrome_source_root)/content/*.css)					\
                $(wildcard $(chrome_source_root)/skin/*.css)					\
+               $(wildcard $(chrome_source_root)/skin/icons/*.bmp)				\
                $(wildcard $(chrome_source_root)/skin/icons/*.gif)				\
                $(wildcard $(chrome_source_root)/skin/icons/*.png)				\
                $(wildcard $(chrome_source_root)/skin/icons/*.svg)				\
                $(wildcard $(chrome_source_root)/skin/icons/linux/hicolor/22x22/*/*.png)		\
                $(wildcard $(chrome_source_root)/skin/icons/winnt/*.bmp)				\
-               $(wildcard $(chrome_source_root)/skin/icons/winnt/*.ico)				\
                $(wildcard $(chrome_source_root)/locale/*/*.dtd)					\
                $(wildcard $(chrome_source_root)/locale/*/*.properties)
 
@@ -112,6 +112,7 @@
 		$(wildcard $(modules_dir)/ctypes/linux/*.jsm)		\
 		$(wildcard $(modules_dir)/ctypes/linux/gtk?/*.jsm)	\
 		$(wildcard $(modules_dir)/ctypes/winnt/*.jsm)		\
+		$(wildcard $(modules_dir)/icons/*.jsm)			\
 		$(wildcard $(modules_dir)/linux/*.jsm)			\
 		$(wildcard $(modules_dir)/winnt/*.jsm)
