=== debian/changelog ===
firetray (0.6.5-0~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 27 Sep 2019 17:42:32 -0700

firetray (0.6.5-0~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Removed debian patches.
  * Reformatted original debian folder.
  * Modified included binaries file.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 25 Aug 2019 04:11:08 -0700

firetray (0.6.1+dfsg-1.2~deb9u1) stretch; urgency=medium

  * Upload to Stretch, to handle the stable update of Thunderbird.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 28 Oct 2018 23:57:23 +0100
