=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 
 get-orig-source:
 	uscan --force --verbose --rename
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
